Package Details: gcalcli 4.3.0-1

Git Clone URL: https://aur.archlinux.org/gcalcli.git (read-only, click to copy)
Package Base: gcalcli
Description: Google calendar command line interface
Upstream URL: https://github.com/insanum/gcalcli
Licenses: MIT
Submitter: None
Maintainer: ainola
Last Packager: ainola
Votes: 116
Popularity: 0.25
First Submitted: 2007-10-03 21:45
Last Updated: 2020-06-02 18:35

Latest Comments

1 2 3 4 5 6 ... Next › Last »

duffydack commented on 2020-09-29 18:57

Seems an update to python-google-auth causes an issue running.

File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 770, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'aiohttp<4.0.0dev,>=3.6.2' distribution was not found and is required by google-auth

Installed python-aiohttp fixed the issue, so I guess it needs to be added as a dep.

firecat53 commented on 2020-03-30 01:16

Installing python-google-api-core fixed the errors that were popping up today after python-google-api-python-client updated from 1.7.11-4 -> 1.8.0-1.

ainola commented on 2019-05-27 14:27

It looks like you've got a local install of packages. You might want to clean it up; oauth2client1412 hasn't been used in some time.

dilawars commented on 2019-05-27 04:27

Probably a missing dependency?

[dilawars@chamcham ~]$ gcalcli remind
Traceback (most recent call last):
  File "/home1/dilawars/.local/lib/python3.7/site-packages/oauth2client/client.py", line 283, in new_from_json
    m = __import__(module)
ModuleNotFoundError: No module named 'oauth2client1412'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gcalcli", line 11, in <module>
    load_entry_point('gcalcli==4.1.0', 'console_scripts', 'gcalcli')()
  File "/usr/lib/python3.7/site-packages/gcalcli/cli.py", line 147, in main
    cal_names=cal_names, printer=printer, **vars(parsed_args)
  File "/usr/lib/python3.7/site-packages/gcalcli/gcal.py", line 66, in __init__
    self._get_cached()
  File "/usr/lib/python3.7/site-packages/gcalcli/gcal.py", line 193, in _get_cached
    self.get_cal_service().calendarList().list()
  File "/usr/lib/python3.7/site-packages/gcalcli/gcal.py", line 157, in get_cal_service
    http=self._google_auth())
  File "/usr/lib/python3.7/site-packages/gcalcli/gcal.py", line 135, in _google_auth
    credentials = storage.get()
  File "/home1/dilawars/.local/lib/python3.7/site-packages/oauth2client/client.py", line 374, in get
    return self.locked_get()
  File "/home1/dilawars/.local/lib/python3.7/site-packages/oauth2client/file.py", line 79, in locked_get
    credentials = Credentials.new_from_json(content)
  File "/home1/dilawars/.local/lib/python3.7/site-packages/oauth2client/client.py", line 287, in new_from_json
    m = __import__(module)
ModuleNotFoundError: No module named 'oauth2client1412'
[dilawars@chamcham ~]$ 

ainola commented on 2019-05-17 14:44

Thanks, guludo. Fixed.

guludo commented on 2019-05-16 13:45

man gcalcli was not working. I had to edit the PKGBUILD and remove the line sed -i 's;man/man1;share/man/man1;' "gcalcli-$pkgver/setup.py" from prepare().

jfhbrook commented on 2019-03-29 00:38

An issue I had was that python in my local environment usually resolves to /home/josh/anaconda3/bin/python (intentionally), so I had to hard-code the paths to /usr/bin/python to get this package to install correctly.

ainola commented on 2018-11-16 15:20

The update to 4.0.0a4 may require one to delete ~/.gcalcli_* and re-authenticate.

yan12125 commented on 2018-11-16 12:34

I don't think this package will move away from python2-oauth2client* until upstream moves away from oauth2client. Anyway it looks like the latest git-master works with community/python2-oauth2client, so it might be reasonable to update this package to a recent commit and change python2-oauth2client1412 to python2-oauth2client.

gerson commented on 2018-07-03 15:16

python2-oauth2client1412 is working, but deprecated. Their git page recomends moving to "google-auth" and "oauthlib". Any plans to upgrade to these?